MarketData
Get recent trades
Returns the most recent public trades for an instrument, newest first. Requires MARKET_DATA permission.
GET
Get recent trades
Path Parameters
Instrument ID.
Query Parameters
Maximum number of trades to return. Default 100. For your own fills, use GET /api/fills.
Response
200 - application/json
Recent trades
Trade time in nanoseconds since the Unix epoch.
Example:
1795812345678000000
Trade id, as a canonical decimal string.
Example:
"798471892349"
Instrument id, as a canonical decimal string.
Example:
"598471892347"
Trade price per YES contract in USDC, as a decimal string.
Example:
"0.590000"
Traded quantity in contracts, as a decimal string.
Example:
"10.00"
Side of the order that took liquidity: BUY or SELL of the YES contract.
Example:
"BUY"